Package rdkit :: Package ML :: Package Cluster :: Module ClusterVis :: Class VisOpts

[hide private]
[frames] | no frames]

# Class VisOpts

source code

    object --+
             |
            VisOpts

    stores visualization options for cluster viewing

    **Instance variables**

      - x/yOffset: amount by which the drawing is offset from the edges of the canvas

      - lineColor: default color for drawing the cluster tree

      - lineWidth: the width of the lines used to draw the tree

Instance Methods | [hide private]

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables | [hide private]

| xOffset = `20`
| yOffset = `20`
| lineColor = `Color(0.00,0.00,0.00)`
| hideColor = `Color(0.80,0.80,0.80)`
| terminalColors = ``[`Color(1.00,0.00,0.00)`,` Color(0.00,0.00,1.00)`...``
| lineWidth = `2`
| hideWidth = `1.1`
| nodeRad = `15`
| nodeColor = `Color(1.00,0.40,0.40)`
| highlightColor = `Color(1.00,1.00,0.40)`
| highlightRad = `10`

Properties | [hide private]

Inherited from `object`: `__class__`

Class Variable Details | [hide private]

### terminalColors

Value:

      [Color(1.00,0.00,0.00),
       Color(0.00,0.00,1.00),
       Color(1.00,1.00,0.00),
       Color(0.00,0.50,0.50),
       Color(0.00,0.80,0.00),
       Color(0.50,0.50,0.50),
       Color(0.80,0.30,0.30),
       Color(0.30,0.30,0.80),
      ...